gnutls_pem_base64_decode_alloc(3)

NAME
gnutls_pem_base64_decode_alloc - This function will decode base64 encoded data

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pem_base64_decode_alloc(const char * header, const gnutls_datum_t * b64_data, gnutls_datum_t * result);

ARGUMENTS

const char * header
    The PEM header (eg. CERTIFICATE)

const gnutls_datum_t * b64_data
    contains the encoded data

gnutls_datum_t * result
    the place where decoded data lie

DESCRIPTION
This function will decode the given encoded data. The decoded data will be allocated, and stored into result. If the header given is non null this function will search for "-----BEGIN header" and decode only this part. Otherwise it will decode the first PEM packet found. You should use gnutls_free() to free the returned data.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.